﻿<?php

//////////////////////////////////////////////
//            www.p30light.ir               //
//////////////////////////////////////////////


require_once 'database.class.php';
require_once 'validations.php';

define('withdraw_status_pending', 1);
define('withdraw_status_failed', 2);
define('withdraw_status_successful', 3);

function withdrawStatusToString($num) {
    switch ($num) {
        case 1:
            return 'در حال بررسی';
        case 2:
            return 'پرداخت نامقدور';
        case 3:
            return 'پرداخت شد';
    }
}

function hash1($pw) {
    return md5(strrev(base64_encode($pw)));
}

function hash2($hash1ed_pw) {
    return strrev(md5(sha1(base64_encode($hash1ed_pw))));
}

function hash_password($pw) {
    return hash2(hash1($pw));
}

function quickLoginCheck($login_php = NULL, $obj = NULL) {
    $b = (Login::checkCookieLogin($obj));
    if (!$b && isset($login_php)) {
        include $login_php;
        $b = (Login::checkCookieLogin($obj));
    }
    return $b;
}

function isEmailValid($e) {
    $b = strlen($e) > 3 && strpos($e, '@') != false;
    if ($b) {
        $r = '1234567890.@-_';
        for ($i = ord('a'); $i <= ord('z'); $i++)
            $r.=chr($i);
        for ($i = ord('A'); $i <= ord('Z'); $i++)
            $r.=chr($i);
        $b = strspn($e, $r) == strlen($e);
        if ($b)
            return true;
    }
    return false;
}

function isWebsiteValid($e) {
    $b = strlen($e) > 3;
    if ($b) {
        $r = '1234567890.+%?-_:/';
        for ($i = ord('a'); $i <= ord('z'); $i++)
            $r.=chr($i);
        for ($i = ord('A'); $i <= ord('Z'); $i++)
            $r.=chr($i);
        $b = strspn($e, $r) == strlen($e);
        if ($b)
            return true;
    }
    return false;
}

function escape_html($s) {
    return htmlentities($s, ENT_COMPAT, 'UTF-8');
}

function parse_plain_text($s) {
    $s = escape_html($s);
    $s = str_replace("\n", "<br/>", $s);
    //$s = str_replace(" ", "&nbsp ", $s);
    return $s;
}

function parseWebsite($s) {
    $u = parse_url($s);
    if (isset($u['host']))
        return $u['host'];
    else
        return $u['path'];
}

function getFullName($record) {
    if (isset($record['firstname']) && $record['firstname'] != '')
        return $record['firstname'] . ' ' . $record['lastname'];
    else
        return $record['un'];
}

function split_number($num, $delim = '،') {
    $r = '';
    for ($i = strlen($num) - 3; $i >= -3; $i-=3) {
        if ($i >= 0)
            $res = substr($num, $i, 3);
        else
            $res = substr($num, 0, 3 + $i);
        if (strlen($res) > 0)
            $r = $res . ($r == '' ? '' : $delim) . $r;
    }
    return $r;
}

function getFormCheckedItems($post_prefix) {
    //note: this function makes results SQL safe
    $k = array_keys($_POST);
    $result = array();
    for ($i = 0; $i < count($k); $i++)
        if (substr($k[$i], 0, strlen($post_prefix)) == $post_prefix)
            $result[] = mysql_real_escape_string($k[$i]);
    return $result;
}

function bankToStr($bank) {
    global $banks;
    return $banks[$bank];
}

global $db;
$db = new Database();
$db->connect();
?>
